TIMESPEC_GET(3)

NAME
timespec_get - get current calendar time

SYNOPSIS
#include <time.h>
int
timespec_get(struct timespec *ts, int base);

DESCRIPTION
The timespec_get() function sets the interval pointed to by ts to hold the current calendar time based on the specified time base in base.

The base TIME_UTC returns the time since the Epoch. This time is expressed in seconds and nanoseconds since midnight (0 hour), January 1, 1970. In OpenBSD, this corresponds to CLOCK_REALTIME.

RETURN VALUES
The timespec_get function returns the passed value of base if successful, otherwise 0 on failure.

SEE ALSO
clock_gettime(2), gettimeofday(2), time(3)

STANDARDS
The timespec_get function with a base of TIME_UTC conforms to isoC-2011.

HISTORY
The timespec_get() function was ported from NetBSD and first appeared in OpenBSD 6.5.